Skip to content
Pitch2SaleDevelopers
Open the app
Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.

Update an activity

PUT
/api/v1/activity/{id}
curl --request PUT \
--url https://api.pitch2sale.com/api/v1/activity/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "subject": "example", "body": "example", "body_text": "example", "status": "example", "duration_seconds": 1, "metadata": { "additionalProperty": "example" }, "is_pinned": true, "activity_at": "2026-04-15T12:00:00Z", "custom_fields": { "additionalProperty": "example" } }'
id
required
string
Media typeapplication/json
object
subject
Any of:
string
body
Any of:
string
body_text
Any of:
string
status
Any of:
string
duration_seconds
Any of:
number
metadata
Any of:
object
key
additional properties
is_pinned
boolean
activity_at
string format: date-time
custom_fields
object
key
additional properties
Examplegenerated
{
"subject": "example",
"body": "example",
"body_text": "example",
"status": "example",
"duration_seconds": 1,
"metadata": {
"additionalProperty": "example"
},
"is_pinned": true,
"activity_at": "2026-04-15T12:00:00Z",
"custom_fields": {
"additionalProperty": "example"
}
}

OK

Validation failed

Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{
"error": "example",
"code": "example",
"message": "example",
"details": [
{
"field": "example",
"message": "example",
"code": "example"
}
]
}

Authentication required or token invalid

Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{
"error": "example",
"code": "example",
"message": "example",
"details": [
{
"field": "example",
"message": "example",
"code": "example"
}
]
}

Feature not available on the organization plan

Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{
"error": "example",
"code": "example",
"message": "example",
"details": [
{
"field": "example",
"message": "example",
"code": "example"
}
]
}

Role permission or token scope missing

Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{
"error": "example",
"code": "example",
"message": "example",
"details": [
{
"field": "example",
"message": "example",
"code": "example"
}
]
}

Rate limit exceeded

Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{
"error": "example",
"code": "example",
"message": "example",
"details": [
{
"field": "example",
"message": "example",
"code": "example"
}
]
}